summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Klaatu2016-07-27 12:01:33 +0200
committer Willy Sudiarto Raharjo2016-07-30 03:28:31 +0200
commit0efdc50174b366c93e85c5daeae07bf053b9c245 (patch)
tree6b2579116e872360e08815e79b90dd78fb5131f6
parent5afe071b987c6706a2a9bf532e9d6f396cea3b95 (diff)
downloadslackbuilds-0efdc50174b366c93e85c5daeae07bf053b9c245.tar.gz
audio/soxr: Added (one-dimensional samplerate conversion library).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--audio/soxr/README10
-rw-r--r--audio/soxr/slack-desc19
-rw-r--r--audio/soxr/soxr.SlackBuild88
-rw-r--r--audio/soxr/soxr.info10
4 files changed, 127 insertions, 0 deletions
diff --git a/audio/soxr/README b/audio/soxr/README
new file mode 100644
index 0000000000..d6a192b88d
--- /dev/null
+++ b/audio/soxr/README
@@ -0,0 +1,10 @@
+The SoX Resampler library (libsoxr) performs one-dimensional
+sample-rate conversion. It may be used, for example, to resample
+PCM-encoded audio.
+
+It aims to give fast and high quality results for any constant
+(rational or irrational) resampling ratio. Phase-response, preserved
+bandwidth, aliasing, and rejection level parameters are all
+configurable; alternatively, simple `preset' configurations may be
+selected. An experimental, variable-rate resampling mode of operation
+is also included.
diff --git a/audio/soxr/slack-desc b/audio/soxr/slack-desc
new file mode 100644
index 0000000000..0355fd01b9
--- /dev/null
+++ b/audio/soxr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+soxr: soxr (one-dimensional samplerate conversion library)
+soxr:
+soxr: The SoX Resampler library (libsoxr) performs one-dimensional
+soxr: sample-rate conversion (for PCM-encoded audio, for instance).
+soxr:
+soxr: It aims to give fast and high quality results for any constant
+soxr: (rational or irrational) resampling ratio. Phase-response, preserved
+soxr: bandwidth, aliasing, and rejection level parameters are all
+soxr: configurable.
+soxr:
+soxr: http://sourceforge.net/projects/soxr
diff --git a/audio/soxr/soxr.SlackBuild b/audio/soxr/soxr.SlackBuild
new file mode 100644
index 0000000000..f04d9945c3
--- /dev/null
+++ b/audio/soxr/soxr.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for soxr
+
+# Copyright 2016 klaatu
+# All rights reserved.
+#
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=soxr
+VERSION=${VERSION:-0.1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+PREFIX=${PREFIX:-/usr}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-Source
+tar xvf $CWD/$PRGNAM-$VERSION-Source.tar.xz
+cd $PRGNAM-$VERSION-Source
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p Release
+cd Release
+cmake -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=${PREFIX} \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DDOC_INSTALL_DIR=/usr/doc/$PRGNAM-$VERSION \
+ -DCMAKE_BUILD_TYPE=Release -Wno-dev ..
+ make
+ make install DESTDIR=$PKG
+ ctest
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || echo "none found"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ NEWS COPYING.LGPL LICENCE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/soxr/soxr.info b/audio/soxr/soxr.info
new file mode 100644
index 0000000000..b414b55c1d
--- /dev/null
+++ b/audio/soxr/soxr.info
@@ -0,0 +1,10 @@
+PRGNAM="soxr"
+VERSION="0.1.2"
+HOMEPAGE="https://sourceforge.net/projects/soxr"
+DOWNLOAD="http://heanet.dl.sourceforge.net/project/soxr/soxr-0.1.2-Source.tar.xz"
+MD5SUM="0866fc4320e26f47152798ac000de1c0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"